org.apache.mina.codec.delimited.serialization

## Class ThriftDynamicMessageDecoder.ThriftSerializedMessage

- java.lang.Object
- - org.apache.mina.codec.delimited.serialization.ThriftDynamicMessageDecoder.ThriftSerializedMessage

Enclosing class:
  ThriftDynamicMessageDecoder

    public static final class ThriftDynamicMessageDecoder.ThriftSerializedMessage
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ThriftDynamicMessageDecoder.ThriftSerializedMessage(org.apache.thrift.TDeserializer deserializer, IoBuffer buffer)`

### Method Summary

Methods
`<L extends org.apache.thrift.TBase<?,?>> L` `get(Class<L> clazz)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThriftDynamicMessageDecoder.ThriftSerializedMessage

    public ThriftDynamicMessageDecoder.ThriftSerializedMessage(org.apache.thrift.TDeserializer deserializer,
                                                       IoBuffer buffer)

### Method Detail

#### get

    public <L extends org.apache.thrift.TBase<?,?>> L get(Class<L> clazz)
                                          throws InstantiationException,
                                                 IllegalAccessException,
                                                 org.apache.thrift.TException

Throws:
  `InstantiationException`
  `IllegalAccessException`
  `org.apache.thrift.TException`